using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace E
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            for(int i = 0; i < t; i++)
            {
                string[] s = Console.ReadLine().Split(' ');
                int n = int.Parse(s[0]), m = int.Parse(s[1]);
                for(int j= 0; j < n; j++)
                {
                    string z1 = Console.ReadLine();
                }
                for (int j = 0; j < n; j++)
                {
                    string z2 = Console.ReadLine();
                }
            }
            for(int i = 0; i < t; i++)
            {
                Console.WriteLine("NE");
            }
        }
    }
}